NOTIONFLUX(1)

NAME
Notionflux - lua remote control for Notion.

SYNOPSIS
notionflux [-e code]

DESCRIPTION
notionflux allows you to access the notion lua scripting interface from the command-line. It either takes a script from stdin or through the '-e' parameter. The lua script will be executed by the Lua engine running in Notion, which means it has access to the Notion lua api (notioncore.* et al). Calls to 'print' will print values to Notion's stdout (e.g. ~/.xsession-errors). The scripts' return value will be printed by notionflux

OPTIONS

-e code
    Lua code to execute.

ENVIRONMENT
notionflux talks to notion(1) through a socket, which is determined by the _NOTION_MOD_NOTIONFLUX_SOCKET property on the root of the display on which notion(1) is running.

SECURITY
The notionflux socket is created with read/write permissions only for the user who started notion(1). Neither notion(1) nor notionflux are setuid(2), so notionflux should not pose any security threat.

EXAMPLES
Write 'foo' to notion(1)'s stdout and 'bar' to the terminal, specifying the script on the commandline:

    $ notionflux -e "print('foo'); return 'bar'"
    "bar"

Or the same, but now via STDIN:

    $ echo "print('foo'); return 'bar'" | notionflux
    "bar"

SEE ALSO
The Notion home page, http://notion.sf.net/

The document "Configuring and extending Notion with Lua" found on the Notion home page.

/usr/pkg/share/doc/notion/

X(7x), notionflux(1)

AUTHOR
Notionflux was written by the Notion team, based on ionflux which was written by Tuomo Valkonen <tuomov at iki.fi>.